- Update Shift Schedule
Create Shift Schedule
Get all Shift Schedules by Employee
Delete Shift Schedule
Update Shift Schedule
Update an existing ShiftSchedule for an Employee.
The generated_id is determined by the application and was returned on creation. A list of existing ShiftSchedules can be retrieved by using the getShiftSchedulesByEmployeeId endpoint.
Security
clientCredentials
The RFC7240 Prefer header indicates that a particular server behavior is preferred by the client but is not required for successful completion of the request (see RFC 7240).
The following behavior (see Examples) is supported by this API:
- return=<minimal|representation> is used to suggest the server to return using 204 without resource (minimal) or using 200 or 201 with resource (representation) in the response body on success.
Examples:
minimal
Indicate no response is needed, can be omitted
["return=minimal"]representation
Request the result of the operation as response
["return=representation"]- Mock serverhttps://developer.conundra.eu/_mock/apis/resource-management/resources-api/employee/{employee_id}/shift-schedule/{generated_id}
- Resources API Productionhttps://api.conundra.eu/resource-management/v1/employee/{employee_id}/shift-schedule/{generated_id}
{ "name": "Standard 38H", "start": { "start_date": "2014-08-16", "start_week": 1 }, "templates": [ { … } ] }
Response
{ "id": "f22896d0-ed42-4a14-a935-7a29072bc5ac", "name": "Standard 38H", "start": { "start_date": "2014-08-16", "start_week": 1 }, "templates": [ { … } ] }